classification
Title: Support for "Universal 2" binary builds
Type: Stage: resolved
Components: macOS Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Support macOS 11 and Apple Silicon Macs
View: 41100
Assigned To: ronaldoussoren Nosy List: mark.dickinson, ned.deily, ronaldoussoren
Priority: normal Keywords: patch

Created on 2020-06-23 11:53 by ronaldoussoren, last changed 2020-07-26 14:14 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
universal2.patch ronaldoussoren, 2020-06-23 11:53
Pull Requests
URL Status Linked Edit
PR 21115 closed ronaldoussoren, 2020-06-24 12:52
Messages (5)
msg372160 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-06-23 11:53
The attached patch implements "universal2" as an option for "--with-univeral-archs" to enable building "Universal 2" binaries on macOS (with x86_64 and arm64 code).

This is an extension of the already existing support for other flavours of fat binaries on macOS. 

NOTE: I've attached a patch instead of creating a PR because I'm not logged on to GitHub in the macOS 11 VM where I created this patch. I'll obviously create a PR later.
msg372163 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2020-06-23 12:54
@Ronald: a bit off-topic for this issue, but do you know if there are or will be any publicly available developer resources for people moving to Apple Silicon? For obvious reasons, I'm interested in what the floating-point and libm situation is going to look like.
msg372165 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2020-06-23 13:24
> a bit off-topic for this issue

Apologies: on reflection, it's way off-topic. Please ignore this and the last message; I'll find a more appropriate place to take this up.
msg372171 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-06-23 13:55
I only know what's on Apple website. There will be documentation, and there is developer hardware. I do have a VM running the new macOS with a version of Xcode that can compile for the new hardware, but that's where it ends for me.
msg374313 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-07-26 14:14
We're tracking macOS 11 and arm64 support in #41100
History
Date User Action Args
2020-07-26 14:14:50ronaldoussorensetstatus: open -> closed
superseder: Support macOS 11 and Apple Silicon Macs
messages: + msg374313

resolution: duplicate
stage: patch review -> resolved
2020-06-24 12:52:31ronaldoussorensetstage: patch review
pull_requests: + pull_request20278
2020-06-24 12:28:17ronaldoussorensettitle: Support for "Apple Silicon" -> Support for "Universal 2" binary builds
versions: + Python 3.8
2020-06-23 13:55:36ronaldoussorensetmessages: + msg372171
2020-06-23 13:24:41mark.dickinsonsetmessages: + msg372165
2020-06-23 12:54:33mark.dickinsonsetnosy: + mark.dickinson
messages: + msg372163
2020-06-23 11:53:05ronaldoussorencreate